#!/bin/bash
# 
# Licensed Materials - Property of IBM
#
# IBM Financial Crimes Insight with Watson PID 5900-A0H  
# IBM Financial Crimes Insight with Watson, Private PID 5737-E41
# 
# (C) Copyright IBM Corp. 2017, 2018  All rights reserved.
# 
# The source code for this program is not published or otherwise divested  
# of its trade secrets, irrespective of what has been deposited with the  
# U. S. Copyright Office. 
# 
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

# decode the batch password for the Liberty batchManager command
batchPassword=$(echo $com_fci_batch_password | openssl enc -base64 -d)

/opt/ibm/wlp/bin/batchManager submit \
--batchManager=localhost:9443 --trustSslCertificates \
--user="$com_fci_batch_userid" --password="$batchPassword" \
--applicationName=fci_solution_ear --moduleName=fci_batch_web.war \
--jobXMLName=fci_batch_data_mart_populate_job --jobParametersFile=/fci-solution/fci-batch-parameters.txt >> \
/fci-solution/fci-batch-out.txt 2>&1
